import { createRouter, createWebHistory } from "vue-router";
import type { RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/:catchAll(.*)?",
    name: "Home",
    component: () => import("../views/Home.vue"),
    children: [
      {
        path: "",
        name: "EnergyChart",
        component: () => import("../views/EnergyChart.vue"),
      },
      {
        path: "elecPricingSimple",
        name: "ElecPricingSimple",
        component: () => import("../views/ElecPriceRes.vue"),
      },
      {
        path: "elecPricingStandard",
        name: "ElecPricingStandard",
        component: () => import("../views/ElecPriceStd.vue"),
      },
      {
        path: "monthlyReport",
        name: "monthlyReport",
        component: () => import("../views/MonthlyReport.vue"),
      },
    ],
  },
  {
    path: "/register",
    name: "Register",
    component: () => import("../views/Register.vue"),
  },
  // {
  //   path: "/:catchAll(.*)",
  //   name: "404",
  //   component: () => import("../views/404.vue"),
  // },
];

const router = createRouter({
  history: createWebHistory(),
  routes,
});

export default router;
